package com.steering.message.model;

/**
 * 数据库表APP_MESSAGE_TARGET所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160918TFRG   date 2019-12-17
 */
public class AppMessageTargetEntity implements java.io.Serializable {
    /**
     * 消息编号
     */
    private String messageNo = "";
    /**
     * 目标对象代码
     */
    private String targetCode = "";
    /**
     * 目标对象
     */
    private String targetName = "";
    /**
     * 对象类型(00- 用户 10-角色 20- 部门 30-车辆)
     */
    private String targetType = "";

    /**
     * 消息编号
     * @return value
     */
    public String getMessageNo() {
        return messageNo;
    }

    /**
     * 消息编号
     * @param messageNo value
     */
    public void setMessageNo(String messageNo) {
        this.messageNo = messageNo;
    }

    /**
     * 目标对象代码
     * @return value
     */
    public String getTargetCode() {
        return targetCode;
    }

    /**
     * 目标对象代码
     * @param targetCode value
     */
    public void setTargetCode(String targetCode) {
        this.targetCode = targetCode;
    }

    /**
     * 目标对象
     * @return value
     */
    public String getTargetName() {
        return targetName;
    }

    /**
     * 目标对象
     * @param targetName value
     */
    public void setTargetName(String targetName) {
        this.targetName = targetName;
    }

    /**
     * 对象类型(00- 用户 10-角色 20- 部门 30-车辆)
     * @return value
     */
    public String getTargetType() {
        return targetType;
    }

    /**
     * 对象类型(00- 用户 10-角色 20- 部门 30-车辆)
     * @param targetType value
     */
    public void setTargetType(String targetType) {
        this.targetType = targetType;
    }
}